Package commonj.sdo.helper

# Interface HelperContext

public interface HelperContext
This interface represents a helper execution context. The set of helpers returned by the methods in this interface have visibility to the same SDO metadata, that is, they execute in the same "scope".

## Method Summary

Modifier and Type
Method
Description
`CopyHelper`
`getCopyHelper()`
Gets the CopyHelper to use in this context.
`DataFactory`
`getDataFactory()`
Gets the DataFactory to use in this context.
`DataHelper`
`getDataHelper()`
Gets the DataHelper to use in this context.
`EqualityHelper`
`getEqualityHelper()`
Gets the EqualityHelper to use in this context.
`TypeHelper`
`getTypeHelper()`
Gets the TypeHelper to use in this context.
`XMLHelper`
`getXMLHelper()`
Gets the XMLHelper to use in this context.
`XSDHelper`
`getXSDHelper()`
Gets the XSDHelper to use in this context.

## Method Details

### getCopyHelper

CopyHelper getCopyHelper()
Gets the CopyHelper to use in this context.

Returns:
  a CopyHelper object

### getDataFactory

DataFactory getDataFactory()
Gets the DataFactory to use in this context.

Returns:
  a DataFactory object

### getDataHelper

DataHelper getDataHelper()
Gets the DataHelper to use in this context.

Returns:
  a DataHelper object

### getEqualityHelper

EqualityHelper getEqualityHelper()
Gets the EqualityHelper to use in this context.

Returns:
  an EqualityHelper object

### getTypeHelper

TypeHelper getTypeHelper()
Gets the TypeHelper to use in this context.

Returns:
  a TypeHelper object

### getXMLHelper

XMLHelper getXMLHelper()
Gets the XMLHelper to use in this context.

Returns:
  an XMLHelper object

### getXSDHelper

XSDHelper getXSDHelper()
Gets the XSDHelper to use in this context.

Returns:
  an XSDHelper object